#Copyright 2015, Twilight Render LLC.  All rights reserved.

require('sketchup.rb')

module TwilightLoader

install_path = File.expand_path(File.dirname(__FILE__))

path_18 = install_path + "/18/TwilightLibV2.so"
path_20 = install_path + "/20/TwilightLibV2.so"
path_22 = install_path + "/22/TwilightLibV2.so"
path_25 = install_path + "/25/TwilightLibV2.so"
binary_path = path_18

if (RUBY_VERSION.to_f >= 2.5)
	binary_path = path_25
elsif (RUBY_VERSION.to_f >= 2.2)
	binary_path = path_22
elsif (RUBY_VERSION.to_f >= 2)
	binary_path = path_20
else
	binary_path = path_18
end

require(binary_path)
Twilight::initV2(install_path)

end #TwilightLoader
